Skip to content

List Tickets

Retrieve your account's PackEdge support tickets, newest activity first. These are tickets you open with the PackEdge support team — not tickets from your own customers.

GET /v1/tickets

Query Parameters

ParameterTypeDescription
pagenumberPage number (default: 1)
per_pagenumberItems per page (default: 20, max: 100)
statusstringFilter by status: open, pending, closed

Response

json
{
  "data": [
    {
      "id": "tkt_xxx",
      "subject": "Webhook deliveries failing",
      "status": "open",
      "priority": "high",
      "category": "technical",
      "lastMessageAt": "2026-06-12T09:00:00Z",
      "lastMessageBy": "support",
      "createdAt": "2026-06-11T15:00:00Z"
    }
  ],
  "meta": {
    "page": 1,
    "perPage": 20,
    "total": 4,
    "totalPages": 1
  }
}

Example

bash
curl -X GET "https://api.packedge.dev/v1/tickets?status=open" \
  -H "Authorization: Bearer pk_your_api_key"